# include "Command.h"
# include "IMAPSession.h"
# include "IMAPServer.h"
# include "Log.h"

namespace mail {
   
   int IMAPCommand::processCommand(std::string request, core::TCPSession *session, std::stringstream &data) {
      coreutils::PString parser(request);
      parser.split(" "); 
      return processCommand(parser, (IMAPSession &)*session, (IMAPServer &)session->server, data);	 
   }

}

